IDs

## Functions

ITT_INLINE __itt_id ITTAPI | __itt_id_make (void *addr, unsigned long long extra) ITT_INLINE_ATTRIBUTE
| A convenience function is provided to create an ID without domain control. More...
void ITTAPI | __itt_id_create (const __itt_domain *domain, __itt_id id)
| Create an instance of identifier. This establishes the beginning of the lifetime of an instance of the given ID in the trace. Once this lifetime starts, the ID can be used to tag named entity instances in calls such as __itt_task_begin, and to specify relationships among identified named entity instances, using the Relations APIs. Instance IDs are not domain specific! More...
void ITTAPI | __itt_id_destroy (const __itt_domain *domain, __itt_id id)
| Destroy an instance of identifier. This ends the lifetime of the current instance of the given ID value in the trace. Any relationships that are established after this lifetime ends are invalid. This call must be performed before the given ID value can be reused for a different named entity instance. More...

## Variables

static const __itt_id | __itt_null = { 0, 0, 0 }

## Detailed Description

IDs group

## Function Documentation

## __itt_id_create()

void ITTAPI __itt_id_create | ( | const __itt_domain * | domain,
|  | __itt_id | id
| ) |  |

Create an instance of identifier. This establishes the beginning of the lifetime of an instance of the given ID in the trace. Once this lifetime starts, the ID can be used to tag named entity instances in calls such as __itt_task_begin, and to specify relationships among identified named entity instances, using the Relations APIs. Instance IDs are not domain specific!

Parameters

  [in] | domain | The domain controlling the execution of this call.
  [in] | id | The ID to create.

## __itt_id_destroy()

void ITTAPI __itt_id_destroy | ( | const __itt_domain * | domain,
|  | __itt_id | id
| ) |  |

Destroy an instance of identifier. This ends the lifetime of the current instance of the given ID value in the trace. Any relationships that are established after this lifetime ends are invalid. This call must be performed before the given ID value can be reused for a different named entity instance.

Parameters

  [in] | domain | The domain controlling the execution of this call.
  [in] | id | The ID to destroy.

## __itt_id_make()

ITT_INLINE __itt_id ITTAPI __itt_id_make | ( | void * | addr,
|  | unsigned long long | extra
| ) |  |

A convenience function is provided to create an ID without domain control.

This is a convenience function to initialize an __itt_id structure. This function does not affect the collector runtime in any way. After you make the ID with this function, you still must create it with the __itt_id_create function before using the ID to identify a named entity.

Parameters

  [in] | addr | The address of object; high QWORD of the ID value.
  [in] | extra | The extra data to unique identify object; low QWORD of the ID value.

Definition at line 1870 of file ittnotify.h.

{
__itt_id id = __itt_null;
id.d1 = (unsigned long long)((uintptr_t)addr);
id.d2 = (unsigned long long)extra;
id.d3 = (unsigned long long)0; /* Reserved. Must be zero */
return id;
}
addr
void * addr
Definition: ittnotify_static.h:91
id
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id id
Definition: ittnotify_static.h:172
__itt_null
static const __itt_id __itt_null
Definition: ittnotify.h:1856

References __itt_null, addr, and id.

## Variable Documentation

## __itt_null

const __itt_id __itt_null = { 0, 0, 0 }

static

Definition at line 1856 of file ittnotify.h.

Referenced by __itt_id_make().

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.